> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/solana/websocket-unstable-methods/slotsupdatessubscribe.md).

# slotsUpdatesSubscribe

Subscribe to receive a notification anytime a new block is Confirmed or Finalized.

This method will use `20` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

None.

## Returns

`result` integer The subscription id (needed to unsubscribe).

`slotsUpdatesNotification` object. The notification object with the following fields:

* `parent` integer The parent slot.
* `slot` integer The newly updated slot.
* `timestamp` integer The Unix timestamp of the update.
* `type` string The update type, which may be one of the following: 'firstShredReceived', 'completed', 'createdBank', 'frozen', 'dead', 'optimisticConfirmation' or 'root'.

```bash
// Result
{ "jsonrpc": "2.0", "result": 0, "id": 1 }
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>wscat -c wss://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE>
</strong># wait for connection
{"id":1,"jsonrpc":"2.0","method":"slotsUpdatesSubscribe"}
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
wscat -c wss://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE>
# wait for connection
{"id":1,"jsonrpc":"2.0","method":"slotsUpdatesSubscribe"}
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/websocket-unstable-methods/slotsupdatessubscribe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
